package com.bocloud.cmp.model.azure.account;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: BatchModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/7/24 10:53
 */
public class BatchAccountModel {

    private String uuid;
    private String name;
    private String type;
    private String regionId;
    private String primaryKey;
    private String secondaryKey;
    private String status;
    private String resourceGroupName;
    private String storageAccountUuid; //存储账户
    private String endPoint;//账户端点
    private Integer jobScheduleQuota;//活动作业数和计划数
    private Integer poolQuota;//池
    private Integer lowPriorityCoreQuota;//低优先级 vCPU 数
    private Integer dedicatedCoreQuota;// 专用 vCPU 总数

    public Integer getJobScheduleQuota() {
        return jobScheduleQuota;
    }

    public void setJobScheduleQuota(Integer jobScheduleQuota) {
        this.jobScheduleQuota = jobScheduleQuota;
    }

    public Integer getPoolQuota() {
        return poolQuota;
    }

    public void setPoolQuota(Integer poolQuota) {
        this.poolQuota = poolQuota;
    }

    public Integer getLowPriorityCoreQuota() {
        return lowPriorityCoreQuota;
    }

    public void setLowPriorityCoreQuota(Integer lowPriorityCoreQuota) {
        this.lowPriorityCoreQuota = lowPriorityCoreQuota;
    }

    public Integer getDedicatedCoreQuota() {
        return dedicatedCoreQuota;
    }

    public void setDedicatedCoreQuota(Integer dedicatedCoreQuota) {
        this.dedicatedCoreQuota = dedicatedCoreQuota;
    }

    public String getEndPoint() {
        return endPoint;
    }

    public void setEndPoint(String endPoint) {
        this.endPoint = endPoint;
    }
    public String getStorageAccountUuid() {
        return storageAccountUuid;
    }

    public void setStorageAccountUuid(String storageAccountUuid) {
        this.storageAccountUuid = storageAccountUuid;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getPrimaryKey() {
        return primaryKey;
    }

    public void setPrimaryKey(String primaryKey) {
        this.primaryKey = primaryKey;
    }

    public String getSecondaryKey() {
        return secondaryKey;
    }

    public void setSecondaryKey(String secondaryKey) {
        this.secondaryKey = secondaryKey;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}